Subject: Re: writing a test for Bug#24672 (viper mode malfunction while inserting a paren in continued cpp directive)

From: Jim Meyering <[email-masked]>
Date: Wed, 26 Oct 2016 07:33:23 -0700

On Wed, Oct 26, 2016 at 4:51 AM, Eli Zaretskii <[email-masked]> wrote:
>> From: Jim Meyering <[email-masked]>
>> Date: Tue, 25 Oct 2016 22:09:40 -0700
>>
>> This is a corner case.
>> When I start in viper mode with this file contents:
>>
>>   #define z_b\
>>
>> and then change the "z" to a parenthesis (either one), I get this:
>>
>>   #define (z_b^I^I^I^I^I\$
>>
>> [I have represented each TAB as "^I", of course]
>> Rather surprising to see all of those TAB characters inserted.
>
> This is standard operation of the Emacs C mode: some characters,
> including the left parenthesis, are "electric", in that they invoke
> reindentation/reformatting of the current line.  Type "C-h k (" to see
> the documentation of that, including links to customization options,
> which you can tweak if you don't like the default behavior.
>
> IOW, I don't think this is a bug at all, but intended behavior.

Thanks for replying.
I can see how the insertion of those TABs may be expected,
but the original bug that caught my eye is that the "z" I wanted
to replace is *not* removed.